Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tibco.bpm.web.client.services.actions.calendar
Class ListCalendars

    java.lang.Object
      com.tibco.bpm.web.client.services.actions.calendar.ListCalendars

All Implemented Interfaces:
  com.google.gwt.user.client.rpc.IsSerializable, OSAction<ListCalendarResult>, net.customware.gwt.dispatch.shared.Action<ListCalendarResult>

    public class ListCalendars

extends java.lang.Object
implements OSAction<ListCalendarResult>

Returns the list of known work calendar instances (that is, Base and Overlay calendars). If there are no work calendar instances, the result will be an empty list. An optional namespace value can be specified to return only those calendars with the given namespace. The namespace comparison will be case-sensitive. If the given namespace ends in an asterisk, then all calendars whose namespace starts with the given value will be returned. If no namespace is specified, all calendars will be listed.

©2012 TIBCO Software Inc.

Since:
  2.0

Constructor Summary
`ListCalendars(java.lang.String namespace)` Returns the list of known work calendar instances (that is, Base and Overlay calendars).

Method Summary
`java.lang.String` | `getNamespace()` Gets the namespace.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ListCalendars

    public ListCalendars(java.lang.String namespace)

  Returns the list of known work calendar instances (that is, Base and Overlay calendars). If there are no work calendar instances, the result will be an empty list. An optional namespace value can be specified to return only those calendars with the given namespace. The namespace comparison will be case-sensitive. If the given namespace ends in an asterisk, then all calendars whose namespace starts with the given value will be returned. If no namespace is specified, all calendars will be listed.

  Parameters:
    `namespace` -

Method Detail

### getNamespace

    public java.lang.String getNamespace()

  Gets the namespace.

  Returns:
    Returns the namespace.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015 TIBCO Software Inc. All Rights Reserved.